import setuptools

VERSION = '0.0.2' 
DESCRIPTION = 'A package to conduct automated code reviews for Gitlab CICD'

setuptools.setup(
    url='https://gitlab.apps.ge-healthcare.net/sto-cloud/intern-projects/automated-code-review',
    packages=setuptools.find_packages(),
    name="auto_code_review_package",
    author="Shriya Gautam",
        author_email="<shriya.gautam5@gmail.com>",
    version=VERSION,
    install_requires=[
"python-gitlab", "sagemaker","langchain", "langchain_core","langchain_community","langchain_openai", "boto3", "utils", "atlassian-python-api", "markdownify", "httpx", "requests",
    ],  
    keywords=['python', 'code review', 'llm', 'auto code review'],
    description=DESCRIPTION,
    long_description = "A tool that integrates with Gitlab CICD pipelines to perform automated code reviews on commits and MRs",
)
